{
  "name": "alg_vid_feature_all_exp_base_v2",
  "project": "loghubods",
  "comment": "TABLE COMMENT",
  "columns": [
    {
      "name": "apptype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "pagesource",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "uid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "mid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "vid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "logtimestamp",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "businesstype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "sessionid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "subsessionid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "abinfodata",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "recommendlogvo",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "extparams",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "abcode",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "recommendpagetype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "flowpool",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "level",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "dt",
      "type": "STRING",
      "comment": "天"
    },
    {
      "name": "hh",
      "type": "STRING",
      "comment": "小时"
    }
  ],
  "partition_keys": [
    {
      "name": "dt",
      "type": "STRING",
      "comment": "天"
    },
    {
      "name": "hh",
      "type": "STRING",
      "comment": "小时"
    }
  ],
  "dataworks_tasks": [
    {
      "id": 1018595946,
      "name": "all曝光底表"
    }
  ],
  "upstream_tables": [
    "loghubods.alg_vid_feature_all_exp_base_add"
  ]
}